var MAX_SAFE_INTEGER = 9007199254740991, reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex(n, r) {
	var i = typeof n;
	return r ??= MAX_SAFE_INTEGER, !!r && (i == "number" || i != "symbol" && reIsUint.test(n)) && n > -1 && n % 1 == 0 && n < r;
}
var _isIndex_default = isIndex;
export { _isIndex_default as default };
